## dhcpcd5 5.2.8

=== debian/changelog ===
dhcpcd5 (5.2.8-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Fri, 22 Oct 2010 19:47:32 +0100

dhcpcd5 (5.2.7-3) unstable; urgency=low

  * Initial upload to Debian (closes: #594672)

 -- Roy Marples <roy@marples.name>  Tue, 23 Sep 2010 10:57:38 +0100
