## dhcpcd5 5.2.12

=== debian/changelog ===
dhcpcd5 (5.2.12-1) unstable; urgency=medium

  * New upstream release

 -- Roy Marples <roy@marples.name>  Wed, 6 Mar 2011 10:16:22 +0100

dhcpcd5 (5.2.11-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Mon, 28 Feb 2011 20:35:37 +0100
