=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Roy Marples <roy@marples.name>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://roy.marples.name/projects/dhcpcd

Package: dhcpcd5
Provides: dhcp-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
Recommends: openresolv
Suggests: dhcpcd-gtk
Description: RFC2131 compliant DHCP client with IPv4LL support
 dhcpcd is a one stop IPv4 network management daemon which includes
  * RFC2131 compliant DHCP client
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles
