## dhcpcd5 5.5.6

=== debian/changelog ===
dhcpcd5 (5.5.6-1) unstable; urgency=medium

  * New upstream release
  * 50-ntp.conf now checks for a valid /etc/ntp.conf (closes: 630420)
  * Works better with netlink messages to work on bridges (closes: 634331)

 -- Roy Marples <roy@marples.name>  Sun, 1 Apr 2012 09:03:27 +0100
