=== debian/watch ===
version=3
ftp://roy.marples.name/pub/dhcpcd/dhcpcd-(.*)\.tar\.bz2 debian uupdate
