## dhcpcd5 6.0.5

=== debian/changelog ===
dhcpcd5 (6.0.5-2build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 22 Jan 2019 14:35:03 -0500

dhcpcd5 (6.0.5-2) unstable; urgency=medium

  * QA upload.

  [ Pierre Schweitzer ]
  * Fix denial of service (CVE-2014-6060) in dhcpcd5. (Closes: #770043).

  [ Salvatore Bonaccorso ]
  * Refresh CVE-2014-6060.patch (offset)
  * Update patch headers for CVE-2014-6060.patch.
    Wrap long lines in fields and use Description field.
    Add Applied-Upstream value.
  * Set Maintainer to Debian QA Group (cf. #770082)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 19 Nov 2014 17:08:30 +0100

dhcpcd5 (6.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules (taken from Ubuntu, thanks!):
      - If config.mk doesn't exist, don't try to run dh_auto_clean.
        This fixes a FTBFS. (Closes: #723967) (LP: #1251776)
  * Add missing include for platform-bsd using patch from Petr Salinger
    (Closes: #719588)

 -- Christoph Egger <christoph@debian.org>  Wed, 04 Dec 2013 14:47:10 +0100

dhcpcd5 (6.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Roy Marples <roy@marples.name>  Sun, 4 Aug 2013 08:00:44 +0100

dhcpcd5 (6.0.2-1) unstable; urgency=medium

  * New upstream release
  * recommend the resolvconf package as well (closes: 705759)
  * -t 0 works (closes: 707705)

 -- Roy Marples <roy@marples.name>  Tue, 25 Jun 2013 14:29:02 +0100
