=== debian/watch ===
version=3
ftp://roy.marples.name/pub/dhcpcd/dhcpcd-([0-9\.]*)\.tar\.bz2 debian uupdate
