=== debian/changelog ===
dhcpcd5 (6.9.1-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release. Closes: #791558
  * Update d/watch file

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 26 Jul 2015 17:35:55 -0500

dhcpcd5 (6.9.0-1) unstable; urgency=low

  * QA Upload
  * New upstream release. Closes: #786772 #758713 #782085
  * debian/control
    + Change Replaces instead conflicts field
    + Bump Standards-Version 3.9.6
      + Update to DEP5 copyright format 1.0
  * debian/rules
    + Add DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
  * debian/patches
    + Add fix_ftbfs_kfreebsd.diff patch
      + Fix ftbfs on kfreebsd Closes: #770464
    + Add fix_manpage.diff patch
      * Fix lintian warning
    + Remove CVE-2014-6060.patch patch
      + Merge with upstream
    + Remove kfreebsd.diff patch
      * Upstream removed platform-bsd.c file in new version
  * debian/prerm
    + Replace bashim with set -e
  * debian/postint
    + Replace bashim with set -e
  * debian/postrm
    + Replace bashim with set -e

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 03 Jun 2015 10:43:23 -0500
