=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.6
 Homepage: http://roy.marples.name/projects/dhcpcd
 
 Package: dhcpcd5
 Provides: dhcp-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
+Replaces: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
 Recommends: openresolv | resolvconf
 Suggests: dhcpcd-gtk
 Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support
