## dhcpcd5 6.9.3

=== debian/changelog ===
dhcpcd5 (6.9.3-1) unstable; urgency=medium

  * New upstream release
    - Fixed Multiplication of IPv6 addresses by upstream (Closes: #791582)
    - Fixed dhcpcd doesn't configure chrony by upstream (Closes: #791583)
  * New maintainer (Closes: #770082)
  * Remove lintian overrides.
  * d/dhcpd5.init:
      - Added $remote_fs for script init.d

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 14 Sep 2015 12:11:25 -0300
