=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dhcpcd5
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://roy.marples.name/projects/dhcpcd
