## dhcpcd5 6.10.1

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 SED_RUNDIR=		-e 's:@RUNDIR@:${RUNDIR}:g'
 SED_DBDIR=		-e 's:@DBDIR@:${DBDIR}:g'
 SED_LIBDIR=		-e 's:@LIBDIR@:${LIBDIR}:g'
+SED_DATADIR=		-e 's:@DATADIR@:${DATADIR}:g'
 SED_HOOKDIR=		-e 's:@HOOKDIR@:${HOOKDIR}:g'
 SED_SERVICEEXISTS=	-e 's:@SERVICEEXISTS@:${SERVICEEXISTS}:g'
 SED_SERVICECMD=		-e 's:@SERVICECMD@:${SERVICECMD}:g'
@@ -67,7 +68,7 @@
 
 .in:
 	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
-		${SED_SYS} ${SED_SCRIPT} \
+		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
 		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
 		$< > $@
 
@@ -128,7 +129,10 @@
 	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
 		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
 
-install: proginstall _maninstall _confinstall
+eginstall:
+	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
+
+install: proginstall _maninstall _confinstall eginstall
 
 clean:
 	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}
