=== debian/changelog ===
dhcpcd5 (6.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #813595)
  * Fix CVE-2016-1504 invalid read/crash 
     via malformed dhcp responses by upstream (Closes: #810620)
  * Fix CVE-2016-1503 heap overflow via malformed 
     dhcp responses in print_option (via dhcp_envoption1)
     due to incorrect option length values by upstream (Closes: #810621)
  * d/control:
     - Bump Standards-Version to 3.9.7
  * Fix dhcpcd5 FTBFS on kfreebsd-amd64
     and kfreebsd-i386 by upstream (Closes: #815338)
  * Fix Multiplication of IPv6 addresses by upstream (Closes: #791582)
  * d/rules:
     - Add hardening
  * d/patches:
     - fix-spelling-error for all older files
     - fix-spelling-error-in-manpage for manpage`s
  * d/dhcpcd5.lintian-overrides:
     - Add overrides for spelling error binary false positive
  * recommended revision in your dhcp by upstream (Closes: #799795)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 04 Apr 2016 09:58:32 -0300
