=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://roy.marples.name/projects/dhcpcd
 
 Package: dhcpcd5
