## dhcpcd5 6.11.5

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,12 @@
 
 CSTD?=		c99
 CFLAGS+=	-std=${CSTD}
+CPPFLAGS+=	-I./crypt
 
 SRCS+=		${DHCPCD_SRCS}
+DHCPCD_DEFS?=	dhcpcd-definitions.conf
 
-SRCS+=		auth.c
-CPPFLAGS+=	-I./crypt
-CRYPT_SRCS=	crypt/hmac_md5.c ${MD5_SRC} ${SHA256_SRC}
-
-OBJS+=		${SRCS:.c=.o} ${COMPAT_SRCS:.c=.o} ${CRYPT_SRCS:.c=.o}
+OBJS+=		${SRCS:.c=.o} ${CRYPT_SRCS:.c=.o} ${COMPAT_SRCS:.c=.o}
 
 SCRIPT=		${LIBEXECDIR}/dhcpcd-run-hooks
 HOOKDIR=	${LIBEXECDIR}/dhcpcd-hooks
@@ -46,6 +44,7 @@
 SED_SERVICEEXISTS=	-e 's:@SERVICEEXISTS@:${SERVICEEXISTS}:g'
 SED_SERVICECMD=		-e 's:@SERVICECMD@:${SERVICECMD}:g'
 SED_SERVICESTATUS=	-e 's:@SERVICESTATUS@:${SERVICESTATUS}:g'
+SED_STATUSARG=		-e 's:@STATUSARG@:${STATUSARG}:g'
 SED_SCRIPT=		-e 's:@SCRIPT@:${SCRIPT}:g'
 SED_SYS=		-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'
 
@@ -66,10 +65,11 @@
 
 .SUFFIXES:	.in
 
-.in:
+.in: Makefile config.mk
 	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
 		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
 		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
+		${SED_STATUSARG} \
 		$< > $@
 
 all: config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}
@@ -78,15 +78,15 @@
 dev:
 	cd dev && ${MAKE}
 
-.c.o:
+.c.o: Makefile config.mk
 	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@
 
 CLEANFILES+=	dhcpcd-embedded.h dhcpcd-embedded.c
 
-dhcpcd-embedded.h: genembedh dhcpcd-definitions.conf dhcpcd-embedded.h.in
+dhcpcd-embedded.h: genembedh ${DHCPCD_DEFS} dhcpcd-embedded.h.in
 	${HOST_SH} ${.ALLSRC} $^ > $@
 
-dhcpcd-embedded.c: genembedc dhcpcd-definitions.conf dhcpcd-embedded.h
+dhcpcd-embedded.c: genembedc ${DHCPCD_DEFS} dhcpcd-embedded.c.in
 	${HOST_SH} ${.ALLSRC} $^ > $@
 
 if-options.c: dhcpcd-embedded.h
@@ -102,9 +102,9 @@
 test:
 	cd $@; ${MAKE} $@; ./$@
 
-_embeddedinstall: dhcpcd-definitions.conf
+_embeddedinstall: ${DHCPCD_DEFS}
 	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
-	${INSTALL} -m ${CONFMODE} dhcpcd-definitions.conf ${DESTDIR}${SCRIPTSDIR}
+	${INSTALL} -m ${CONFMODE} ${DHCPCD_DEFS} ${DESTDIR}${SCRIPTSDIR}
 
 _proginstall: ${PROG}
 	${INSTALL} -d ${DESTDIR}${SBINDIR}
@@ -128,6 +128,8 @@
 	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
 	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
 		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
+hooks:
+	cd dhcpcd-hooks; ${MAKE}; cd ..; done
 
 eginstall:
 	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
@@ -150,18 +152,23 @@
 	rm -rf /tmp/${DISTPREFIX}
 	${INSTALL} -d /tmp/${DISTPREFIX}
 	cp -RPp * /tmp/${DISTPREFIX}
-	cd /tmp/${DISTPREFIX} && ${MAKE} distclean
-	cd /tmp && tar -cvjpf ${DISTFILE} ${DISTPREFIX}
-	mv /tmp/${DISTFILE} .
+	${MAKE} -C /tmp/${DISTPREFIX} distclean
+	tar cf - -C /tmp ${DISTPREFIX} | xz >${DISTFILE}
 	ls -l ${DISTFILE}
 
-import: ${SRCS}
+import: ${SRCS} hooks
 	rm -rf /tmp/${DISTPREFIX}
 	${INSTALL} -d /tmp/${DISTPREFIX}
-	cp ${SRCS} dhcpcd.conf dhcpcd-definitions.conf *.in /tmp/${DISTPREFIX}
-	cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM ${SRCS} | \
+	cp genembedc genembedh /tmp/${DISTPREFIX}
+	cp $$(echo ${SRCS} | sed -e 's/\(dhcpcd-embedded.[ch]\)/\1.in/') \
+		/tmp/${DISTPREFIX}
+	cp dhcpcd.conf dhcpcd-definitions.conf *.in /tmp/${DISTPREFIX}
+	cp dhcpcd-definitions-small.conf *.in /tmp/${DISTPREFIX}
+	cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM \
+		$$(echo ${SRCS} | sed -e 's/dhcpcd-embedded.c//') | \
 		sed -e 's/^.*\.c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
 		tr ' ' '\n' | \
+		sed -e '/^dhcpcd-embedded.h$$/d' | \
 		sed -e '/^compat\//d' | \
 		sed -e '/^crypt\//d' | \
 		sort -u) /tmp/${DISTPREFIX}; \
