=== debian/changelog ===
dhcpcd5 (6.11.5-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * debian/control:
   - Add lsb-base (>= 3.0-6) on depends, for the init script.
  * debian/patches:
   - Disable, merged upstream.
  * debian/copyright:
   - Update copyright.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 01 May 2017 18:50:40 +0200
