=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dhcpcd5
 Section: net
 Priority: optional
-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.7
 Homepage: http://roy.marples.name/projects/dhcpcd
@@ -9,7 +10,7 @@
 Package: dhcpcd5
 Provides: dhcp-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Replaces: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
 Recommends: openresolv | resolvconf
 Suggests: dhcpcd-gtk
