## dhcpcd5 7.0.8

=== debian/changelog ===
dhcpcd5 (7.0.8-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Non-maintainer upload.
    - Closes: #846938
  * Switch control/copyright files in secure mode

  [ Julien Lavergne ]
  * New upstream release.
  * debian/control:
   - Add lsb-base (>= 3.0-6) on depends, for the init script.
  * debian/patches:
   - Disable, merged upstream.
  * debian/copyright:
   - Update copyright.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Sep 2018 10:03:43 +0200
