=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dhcpcd5
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
+Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.7
-Homepage: http://roy.marples.name/projects/dhcpcd
+Homepage: https://roy.marples.name/projects/dhcpcd
 
 Package: dhcpcd5
 Provides: dhcp-client
