=== debian/changelog ===
dhcpcd5 (7.1.0-2) unstable; urgency=high

  * Apply upstream patches to fix potential security vulnerabilities:
    CVE-2019-11578, CVE-2019-11579, CVE-2019-11577, and CVE-2019-11766.
    (Closes: #928056, #928104, #928105, #928440)
  * Add lintian override for upstream patch spelling

 -- Scott Leggett <scott@sl.id.au>  Sun, 05 May 2019 21:55:14 +0800

dhcpcd5 (7.1.0-1) unstable; urgency=low

  * Upstream release 7.1.0

 -- Scott Leggett <scott@sl.id.au>  Thu, 07 Feb 2019 08:54:56 +1100

dhcpcd5 (7.0.8-2) unstable; urgency=low

  * Fix quoting in autopkgtest-setup script
  * Add tests for /sbin/dhcpcd symlink
  * Add compatibility symlink for /sbin/dhcpcd (Closes: #920292)
  * Bump Standards-Version

 -- Scott Leggett <scott@sl.id.au>  Thu, 24 Jan 2019 22:56:05 +1100

dhcpcd5 (7.0.8-1) unstable; urgency=low

  * Remove unused lintian override
  * Update watch URL to HTTPS
  * Bump standards and compat versions
  * Add patch for typo in manpage
  * Revert to upstream binary naming
  * Update maintainer scripts
  * Update debian/copyright
  * Update init script for new binary location
  * Add systemd service file
  * Update package maintainer (Closes: #914070)
  * Run wrap-and-sort over the package
  * Add VCS fields to control file
  * Add hooks for chrony, ntp, systemd-timesyncd, and openntpd (Closes: #863462)
  * Add autopkgtest-virt-ssh setup script
  * Add autopkgtests for NTP hook scripts
  * Disable built-in NTP hook script
  * Update debian/copyright

 -- Scott Leggett <scott@sl.id.au>  Thu, 27 Dec 2018 22:26:40 +1100
