=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Scott Leggett <scott@sl.id.au>
Build-Depends:
 debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: https://roy.marples.name/projects/dhcpcd
Vcs-Browser: https://salsa.debian.org/smlx-guest/dhcpcd5
Vcs-Git: https://salsa.debian.org/smlx-guest/dhcpcd5.git

Package: dhcpcd5
Provides:
 dhcp-client
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 dhcpcd (<< 3.2.3-6),
 dhcpcd-sv
Recommends:
 openresolv | resolvconf
Suggests:
 dhcpcd-gtk
Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support
 dhcpcd is a one stop network management daemon which includes
  * RFC compliant DHCPv4 and DHCPv6 clients
  * DHCPv6 Prefix Delegation support
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles
