## dhcpcd5 8.1.2

=== debian/changelog ===
dhcpcd5 (1:8.1.2-1+rpt1) buster; urgency=medium

  * New upstream version 8.1.2
  * Remove -0001-Linux-Validate-RTM_DELADDR-RTM_NEWADDR-messages-for-.patch
  * Disable sanitisation

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 13 Nov 2019 14:44:50 +0000

dhcpcd5 (1:8.1.1-1+rpt2) buster; urgency=medium

  * Bump update-alternatives to 150

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 25 Oct 2019 12:38:32 +0100

dhcpcd5 (1:8.1.1-1+rpt1) buster; urgency=medium

  * New upstream release
  * Validate RTM_DELADDR/RTM_NEWADDR messages for IPv6

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 23 Oct 2019 12:07:37 +0100

dhcpcd5 (1:7.0.8-0.1+rpt1) buster; urgency=medium

  * Add systemd service
  * Enable wpa_supplicant hook
  * Bump epoch
  * Make dhcpcd.conf writable by netdev group
  * Prevent dhcpcd from running when /etc/network/interface is configured
  * Fix 50-ntp.conf hook
    https://github.com/RPi-Distro/repo/issues/81
  * Add static IP example in dhcpcd.conf
  * Default wpa_supplicant_driver to nl80211,wext
  * Add pkg-config build-dep

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 24 Jan 2019 14:05:00 +0000
