=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
Build-Depends: debhelper (>= 9.20160709), libudev-dev, pkg-config
Standards-Version: 3.9.7
Homepage: https://roy.marples.name/projects/dhcpcd

Package: dhcpcd5
Provides: dhcp-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Replaces: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
Recommends: openresolv | resolvconf
Suggests: dhcpcd-gtk
Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support
 dhcpcd is a one stop network management daemon which includes
  * RFC compliant DHCPv4 and DHCPv6 clients
  * DHCPv6 Prefix Delegation support
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles
